Bug 104990 - Named ranges do not follow the sort order.
Summary: Named ranges do not follow the sort order.
Status: NEW
Alias: None
Product: LibreOffice
Classification: Unclassified
Component: Calc (show other bugs)
Version:
(earliest affected)
5.2.3.2 rc
Hardware: All All
: medium normal
Assignee: Not Assigned
URL:
Whiteboard:
Keywords: needsDevAdvice
Depends on:
Blocks: Cell-Name
  Show dependency treegraph
 
Reported: 2016-12-29 21:20 UTC by Pierre Lepage
Modified: 2022-07-25 03:27 UTC (History)
1 user (show)

See Also:
Crash report or crash signature:
Regression By:


Attachments
Calc File to Demonstrate the Bug (7.55 KB, application/vnd.oasis.opendocument.spreadsheet)
2016-12-29 21:20 UTC, Pierre Lepage
Details

Note You need to log in before you can comment on or make changes to this bug.
Description Pierre Lepage 2016-12-29 21:20:19 UTC
Created attachment 130020 [details]
Calc File to Demonstrate the Bug

Named ranges do not follow the sort order. The name of the range remains attached to the cell reference before it is sorted.

Fill cells A1 to A5 with the following words: Cat, Plus, Dog, Equal, Nothing.

To make an ascending sort (or descending, it is even more funny). The cell names did not follow the contents.
Comment 1 Buovjaga 2017-01-04 20:02:07 UTC
I confirm that even with the Calc option "Update references on sort", the range names remain pointing to the old cells.

I already interviewed Markus and he said this is a tricky topic without a correct solution.

Adding to NEW in any case and adding needsDevAdvice.
Comment 2 QA Administrators 2018-07-24 02:36:23 UTC Comment hidden (obsolete)
Comment 3 QA Administrators 2020-07-24 03:46:05 UTC Comment hidden (obsolete)
Comment 4 QA Administrators 2022-07-25 03:27:17 UTC
Dear Pierre Lepage,

To make sure we're focusing on the bugs that affect our users today, LibreOffice QA is asking bug reporters and confirmers to retest open, confirmed bugs which have not been touched for over a year.

There have been thousands of bug fixes and commits since anyone checked on this bug report. During that time, it's possible that the bug has been fixed, or the details of the problem have changed. We'd really appreciate your help in getting confirmation that the bug is still present.

If you have time, please do the following:

Test to see if the bug is still present with the latest version of LibreOffice from https://www.libreoffice.org/download/

If the bug is present, please leave a comment that includes the information from Help - About LibreOffice.
 
If the bug is NOT present, please set the bug's Status field to RESOLVED-WORKSFORME and leave a comment that includes the information from Help - About LibreOffice.

Please DO NOT

Update the version field
Reply via email (please reply directly on the bug tracker)
Set the bug's Status field to RESOLVED - FIXED (this status has a particular meaning that is not 
appropriate in this case)


If you want to do more to help you can test to see if your issue is a REGRESSION. To do so:
1. Download and install oldest version of LibreOffice (usually 3.3 unless your bug pertains to a feature added after 3.3) from https://downloadarchive.documentfoundation.org/libreoffice/old/

2. Test your bug
3. Leave a comment with your results.
4a. If the bug was present with 3.3 - set version to 'inherited from OOo';
4b. If the bug was not present in 3.3 - add 'regression' to keyword


Feel free to come ask questions or to say hello in our QA chat: https://web.libera.chat/?settings=#libreoffice-qa

Thank you for helping us make LibreOffice even better for everyone!

Warm Regards,
QA Team

MassPing-UntouchedBug